classification
Title: Demo *redemo.py* lacking in Windows installation
Type: behavior Stage: resolved
Components: Installation, Windows Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, eric.araujo, fgracia, loewis, ned.deily, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords: easy

Created on 2012-10-14 09:57 by fgracia, last changed 2015-04-14 22:09 by zach.ware. This issue is now closed.

Messages (11)
msg172868 - (view) Author: Francisco Gracia (fgracia) Date: 2012-10-14 09:57
Since Python 3.2 the module *redemo.py* is lacking in the official Python distributions. The excellent and extremely useful *Regular expressions HOWTO* of 3.2.x and 3.3 keep however referring to it (although referring to the wrong path *Tools/demo/* instead of *Tools/Scripts/*) and the same does the *README* file.

I just copied the version of the module distributed with 3.1 and it keeps working as well with 3.2.x as with 3.3.0 without having experienced any problems.

Is there any justification for this situation or is it just a slip?

Regards
msg172895 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-10-14 17:49
The demo scripts in the Tools directory were cleaned up earlier in Python 3 and moved.  redemo.py is still included in the 3.2 and later source distributions in the Tools/demo directory.  The builders of binary installers and third-party distributors of Python 3.x may make their own decisions about whether to include the Tools directory in their distros. For which platform and from what source are you installing Python 3.2?
msg172917 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-10-14 20:36
Hm Tools/demo is actually the correct location in 3.2+.
msg172918 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-10-14 20:38
I don't think this is a documentation issue.  I think it's more likely a Windows installer issue since I don't see the file installed in the current python.org 3.3 Windows distribution.  But I was waiting for confirmation from the OP that he is using the Windows installer.
msg172950 - (view) Author: Francisco Gracia (fgracia) Date: 2012-10-15 08:04
You are right. I am referring to the Windows installer. I forgot to mention
that I am using Windows XP.

Thank you.

2012/10/14 Ned Deily <report@bugs.python.org>

>
> Ned Deily added the comment:
>
> The demo scripts in the Tools directory were cleaned up earlier in Python
> 3 and moved.  redemo.py is still included in the 3.2 and later source
> distributions in the Tools/demo directory.  The builders of binary
> installers and third-party distributors of Python 3.x may make their own
> decisions about whether to include the Tools directory in their distros.
> For which platform and from what source are you installing Python 3.2?
>
> ----------
> nosy: +ned.deily
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16229>
> _______________________________________
>
msg172987 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-10-15 16:55
Thanks for the update. So I think the bigger issue here is there something that should be changed in the Windows installer to accommodate the demo changes in Python 3.  Adding the Windows experts and deassigning from docs.
msg173353 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-10-19 18:42
On my win7 3.3.0 install, I have Tools/scripts and a couple of other subdirs but no Tools/demo directory.
msg222673 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-10 15:00
I have Tools\demo in my cpython default from Mercurial but not under 3.4.1 from the msi file downloaded from python.org.
msg222677 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-07-10 16:32
Steve, as the (new) Windows installer maker, it is ultimately your decision what to include.  The 'policy' seems to have been rather fuzzy. Tools/demo is less than 100k total. The 'patch needed' is to the installer maker script.
msg222704 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-07-10 21:51
Looks like tools/demo just isn't included. I'm totally okay with including it - looks like a few nice examples in there that I've never seen before.

If someone wants to do a patch for msi.py that's fine, but I'm intending to have a completely new installer for 3.5, so any changes to the current one are very low priority for me.
msg241041 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-04-14 22:09
Tools/demo is included in the 3.5 installer, I think it's probably a bit late in 3.4's cycle to stick it in now.

If anybody feels strongly enough to make a patch for it, please reopen the issue.
History
Date User Action Args
2015-04-14 22:09:15zach.waresetstatus: open -> closed
versions: - Python 3.5
messages: + msg241041

resolution: out of date
stage: needs patch -> resolved
2014-07-10 21:51:44steve.dowersetmessages: + msg222704
2014-07-10 16:33:33brian.curtinsetnosy: - brian.curtin
2014-07-10 16:32:12terry.reedysetmessages: + msg222677
stage: needs patch
2014-07-10 15:00:13BreamoreBoysetversions: + Python 3.5, - Python 3.2, Python 3.3
nosy: + BreamoreBoy, zach.ware, steve.dower

messages: + msg222673

type: behavior
2012-10-19 18:42:26terry.reedysetnosy: + terry.reedy
messages: + msg173353
2012-10-15 16:55:14ned.deilysettitle: Module *redemo.py* lacking in recent Python distributions -> Demo *redemo.py* lacking in Windows installation
nosy: + tim.golden, brian.curtin, loewis, - docs@python

messages: + msg172987

assignee: docs@python ->
components: + Installation, Windows, - Documentation
2012-10-15 08:04:40fgraciasetmessages: + msg172950
title: File *redemo.py* lacking in recent Python distributions -> Module *redemo.py* lacking in recent Python distributions
2012-10-14 20:38:56ned.deilysetmessages: + msg172918
2012-10-14 20:36:40eric.araujosetnosy: + eric.araujo
title: File *redemo.py* lacking in recent Python distributions but still referenced -> File *redemo.py* lacking in recent Python distributions
messages: + msg172917

stage: needs patch -> (no value)
2012-10-14 20:35:04eric.araujosetassignee: docs@python
title: Module *redemo.py* lacking in recent Python distributions -> File *redemo.py* lacking in recent Python distributions but still referenced
components: + Documentation, - Demos and Tools

keywords: + easy
nosy: + docs@python
versions: + Python 3.3, Python 3.4
stage: needs patch
2012-10-14 17:49:09ned.deilysetnosy: + ned.deily
messages: + msg172895
2012-10-14 09:57:24fgraciacreate